# -*- coding: utf-8 -*-
# Generated by Django 1.11.10 on 2018-05-04 16:15
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import imagekit.models.fields
import report.models


class Migration(migrations.Migration):

    dependencies = [
        ('report', '0027_auto_20180406_2020'),
    ]

    operations = [
        migrations.CreateModel(
            name='SurrenderPhoto',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', imagekit.models.fields.ProcessedImageField(blank=True, null=True, upload_to=report.models.upload_auto, verbose_name='Фото (несколько)')),
                ('from_inspection', models.BooleanField(default=False, verbose_name='со сдачи')),
            ],
            options={
                'verbose_name': 'Фото со сдачи',
                'verbose_name_plural': 'Фото со сдачи',
            },
        ),
        migrations.AddField(
            model_name='reportpodbor',
            name='photo_reestr_zalog',
            field=imagekit.models.fields.ProcessedImageField(blank=True, null=True, upload_to=report.models.upload_zalog, verbose_name='Фото с реестра залогов'),
        ),
        migrations.AddField(
            model_name='surrenderphoto',
            name='surrender_podbor',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='surrphotos_auto', to='report.ReportPodbor', verbose_name='Отчёт со сдачи'),
        ),
    ]
